# -*- coding: utf-8 -*-
%define m_p CFLAGS="-O2"

Name: fvwm-themes
Version: 0.7.0
Release: alt1

Summary: FVWM Themes, configuration framework for FVWM
Summary(ru_RU.UTF-8): Темы для оконного менеджера FVWM
License: GPL
Group: Graphical desktop/FVWM based
Url: http://%name.sourceforge.org/
BuildArch: noarch

Source0: %name-%version.tar.bz2
Source1: %name.wmsession
Source2: %name-extra-%version.tar.bz2
Patch0: %name-menu.patch

Requires: fvwm-base >= %{get_version fvwm-base}
Requires: fvwm-perl >= %{get_version fvwm-perl}
Requires: perl >= 5.004
Requires: m4

# Automatically added by buildreq on Wed Jul 21 2004
BuildRequires: XFree86-devel XFree86-utils fvwm-base fvwm-perl menu

%description
FVWM Themes is a powerful configuration framework for FVWM,
designed to be easily extendible and configurable, includes
several pre-built themes, a pack of images and sounds.

%description -l ru_RU.UTF-8
FVWM Themes является мощным окружением для оконного менеджера FVWM,
спроектированным с учетом легкости расширения и конфигурации.
Пакет включает в себя готовые темы, графические и звуковые файлы.

%package extra
Summary: Extra FVWM Themes
Summary(ru_RU.UTF-8): Дополнительные темы для FVWM
Group: Graphical desktop/FVWM based
Requires: %name = %version

%description extra
FVWM Themes is a powerful configuration framework for FVWM,
designed to be easily extendible and configurable, includes
several pre-built themes, a pack of images and sounds.

This package contains 10 more themes for use with the base FVWM Themes
package.

%description -l ru_RU.UTF-8 extra
FVWM Themes является мощным окружением для оконного менеджера FVWM,
спроектированным с учетом легкости расширения и конфигурации.
Пакет включает в себя готовые темы, графические и звуковые файлы.

Данный пакет содержит дополнительные 10 тем для использования наряду
с базовыми.

%prep
%setup -q
%patch0 -p1
perl -pi -e 's,-cronyx-,-\*-,g' locale/ru/*

%build
./configure \
	--prefix=%_x11dir \
	--exec-prefix=%_x11dir \
	--sysconfdir=%_sysconfdir/X11
make %m_p

%install
make \
	prefix=$RPM_BUILD_ROOT%{_x11dir} \
	ROOT_PREFIX=$RPM_BUILD_ROOT install
%__install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/10Fvwm-themes
find %buildroot -type f -print0 | xargs -r0 %__subst -p s,%buildroot,,g
%__tar xjf %SOURCE2 -C %buildroot%_x11datadir/fvwm/themes
%__mv %buildroot%_x11datadir/fvwm/themes/%name-extra-%version/* %buildroot%_x11datadir/fvwm/themes/
%__rm -rf %buildroot%_x11datadir/fvwm/themes/%name-extra-%version
find %buildroot%_x11datadir/fvwm/themes -type f -print0 | \
	xargs -r0 %__subst -p s,-adobe-,-*-,g
find %buildroot%_x11datadir/fvwm/themes -type f -print0 | \
	xargs -r0 %__subst -p s,-*-lucida-,-*-serene-,g
find %buildroot%_x11datadir/fvwm/themes -type f -print0 | \
	xargs -r0 %__subst -p s,-b\&h-lucida-,-*-serene-,g
find %buildroot%_x11datadir/fvwm/themes -type f -print0 | \
	xargs -r0 %__subst -p s,-*-lucidabright-,-*-times-,g
find %buildroot%_x11datadir/fvwm/themes -type f -print0 | \
	xargs -r0 %__subst -p s,-*-lucidatypewriter-,-*-serenetypewriter-,g


%post
[ -x %{prefix}/bin/fvwm-themes-menuapp ] && fvwm-themes-menuapp --site --build-menus --remove-popup || true
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files
%_x11bindir/*
%_sysconfdir/X11/wmsession.d/*
%_sysconfdir/menu-methods/*
%_x11mandir/man?/*
%_x11datadir/fvwm/Fvwm*
%_x11datadir/fvwm/themes-rc*
%_x11datadir/fvwm/images/
%_x11datadir/fvwm/locale/
%_x11datadir/fvwm/sounds/
%_x11datadir/fvwm/themes/afterstep/
%_x11datadir/fvwm/themes/cde/
%_x11datadir/fvwm/themes/current/
%_x11datadir/fvwm/themes/default/
%_x11datadir/fvwm/themes/luthien/
%_x11datadir/fvwm/themes/migo/
%_x11datadir/fvwm/themes/multichoice/
%_x11datadir/fvwm/themes/olicha/
%_x11datadir/fvwm/themes/redmond98/
%_x11datadir/fvwm/themes/redmondxp/
%doc AUTHORS NEWS README TODO
%doc doc/{FAQ,README.1st,colorsets,creating-themes,fvwm-themes.lsm,menus-extra,functions-appbind-extra}

%files extra
%_x11datadir/fvwm/themes/awol/
%_x11datadir/fvwm/themes/brushedmetal/
%_x11datadir/fvwm/themes/e17/
%_x11datadir/fvwm/themes/mech/
%_x11datadir/fvwm/themes/minimal/
%_x11datadir/fvwm/themes/osx/
%_x11datadir/fvwm/themes/qnx/
%_x11datadir/fvwm/themes/spruce/
%_x11datadir/fvwm/themes/unsafe/
%_x11datadir/fvwm/themes/blackbox/
%_x11datadir/fvwm/themes/celticbow/
%_x11datadir/fvwm/themes/ice/
%_x11datadir/fvwm/themes/metal/
%_x11datadir/fvwm/themes/nanogui/
%_x11datadir/fvwm/themes/plainbow/
%_x11datadir/fvwm/themes/sa/
%_x11datadir/fvwm/themes/underground/

%changelog
* Wed Jul 21 2004 Eugene Vlasov <eugvv@altlinux.ru> 0.7.0-alt1
- New version
- Added WM session entry
- Added fvwm-themes-extra

* Tue Jan 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 0.5.0-alt1
- Initial revision.
